#' \code{LandR} package
#'
#' Utilities for 'LandR' suite of landscape simulation models.
#' These models simulate forest vegetation dynamics based on LANDIS-II, and
#' incorporate fire and insect disturbance, as well as other important ecological
#' processes. Models are implemented as 'SpaDES' modules.
#'
#' ------------------------------------------------------------------------------------------
#' @section Package options:
#'
#' \code{LandR} packages use the following \code{\link{options}} to configure behaviour:
#'
#' \itemize{
#'   \item \code{LandR.assertions}: If \code{TRUE}, additional code checks are run
#'         during function calls. Default \code{FALSE}.
#' }
#'
#' @import methods
#' @name LandR-package
#' @rdname LandR-package
"_PACKAGE"

