% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/cohorts.R
\name{rmMissingCohorts}
\alias{rmMissingCohorts}
\title{Remove missing cohorts from \code{cohortData} based on \code{pixelGroupMap}}
\usage{
rmMissingCohorts(
  cohortData,
  pixelGroupMap,
  cohortDefinitionCols = c("pixelGroup", "age", "speciesCode"),
  doAssertion = getOption("LandR.assertions", TRUE)
)
}
\arguments{
\item{cohortData}{A \code{data.table} with columns: \code{pixelGroup}, \code{ecoregionGroup},
\code{speciesCode}, and optionally \code{age}, \code{B}, \code{mortality}, \code{aNPPAct},
and \code{sumB}.}

\item{pixelGroupMap}{A \code{RasterLayer} with pixel values equal to a pixel group
number that corresponds exactly to \code{pixelGroup} column in \code{cohortData}.}

\item{cohortDefinitionCols}{the columns in \code{cohortData} that define unique cohorts}

\item{doAssertion}{A logical indicating whether some internal tests should be run to
ensure the function is running correctly.
Default: \code{getOption("LandR.assertions", TRUE)}.}
}
\value{
A \code{list} with 2 \code{data.table} objects, \code{cohortData} and \code{pixelGroupMap},
each updated based on missing \code{pixelGroups} in the other.
}
\description{
Remove missing cohorts from \code{cohortData} based on \code{pixelGroupMap}
}
